Bug 1309343 - [abrt] nautilus: nautilus_file_is_in_recent(): nautilus killed by SIGABRT
[abrt] nautilus: nautilus_file_is_in_recent(): nautilus killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 09:26 EST by Christian Stadelmann
Modified: 2016-12-20 13:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:47:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2016-02-17 09:26:52 EST
Description of problem:
This is a duplicate of bug #1277625, which is still present though Matthias Clasen closed it due to commiting a partial fix. Since nobody wants to reopen this bug, I'm reporting a new one. According to bug #1277625 this issue should be gone, but abrt reporter points me to this bug report.

Version-Release number of selected component (if applicable):
glib2-2.46.2-1.fc23.x86_64
gtk3-3.18.7-2.fc23.x86_64
nautilus-3.18.5-1.fc23.x86_64

How reproducible:
unsure, not 100%.

Steps to Reproduce:
1. disable display of applications menu in gnome-shell, enforce nautilus to display its own applications menu (this would be the case in classic gnome-shell sessions, in other desktop environments or when using custom settings with gnome-tweak-tool)
2. open nautilus
3. open application menu from nautilus' header bar (left of arrows).
4. Click on "Preferences"

Actual results:
Sometimes nautilus crashes when doing so.

Expected results:
No crash

Additional info:
Backtraces can be found in bug #1277625 and its duplicates.
It might be necessary to disable animations to reproduce this issue.
Feel free to reopen the original bug if you think that's the better choice since you probably know better. https://bugzilla.redhat.com/show_bug.cgi?id=1277625#c27
Comment 1 Fedora End Of Life 2016-11-24 10:36:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:47:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.